public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: www-apps/forgejo/
Date: Mon, 31 Jul 2023 14:53:17 +0000 (UTC)	[thread overview]
Message-ID: <1690778872.c782e387d05f2da073c38f0416a57b7043ac0568.davidroman@gentoo> (raw)

commit:     c782e387d05f2da073c38f0416a57b7043ac0568
Author:     Artemis Everfree <artemis <AT> artemis <DOT> sh>
AuthorDate: Mon Jul 31 04:46:51 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Mon Jul 31 04:47:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c782e387

www-apps/forgejo: add 1.20.2.0

Signed-off-by: Artemis Everfree <artemis <AT> artemis.sh>

 www-apps/forgejo/Manifest                |   1 +
 www-apps/forgejo/forgejo-1.20.2.0.ebuild | 124 +++++++++++++++++++++++++++++++
 2 files changed, 125 insertions(+)

diff --git a/www-apps/forgejo/Manifest b/www-apps/forgejo/Manifest
index deebbb6040..5a7b59e379 100644
--- a/www-apps/forgejo/Manifest
+++ b/www-apps/forgejo/Manifest
@@ -1,3 +1,4 @@
 DIST forgejo-1.19.4.0.tar.gz 60635393 BLAKE2B 7fe8e10f7aae8371c4a540290bb24c67a0521080eb58c7749c95d977320781e2e11ba754a42a333c706d243cf0170178dd62da5338540576d214f281b3da6daa SHA512 4870a7804c3cefab4aac38f30ac60874d9a7359b29e8f765ee9a1f41bc543fdd445a21c6e808f864c56ce22f79f6038b15eec4325c556ef6288ad6635977533f
 DIST forgejo-1.20.1.0.tar.gz 30700591 BLAKE2B d794a8a121e8e01bdd643122f1c1be8d046e3a50137b00abf1cae43b24f32040fc82f088b694c617d8f20853d1d9b21a3ce99395b776a58ff7a37f717fbf431f SHA512 642b4ae14c1cedfcf856e0fad67e9825becce002c12d0431d247082c2e2f193ea8d8459a40a3fa69497fa3da6dca46ced5a855fb4dc1e52a34211e8938666cb0
+DIST forgejo-1.20.2.0.tar.gz 54334985 BLAKE2B d00b3d841b9002ef6368569d07d3e3643fa6f17005446d9fb14303eb1a03e7ef9f018348822378dbb4e5b64bbaa20e586da0015c0c1a6dffde8dd1ec59ea9265 SHA512 16204c846a5ba66aa0d9d1ec35175737daa13e1bddfc6d5f72963b232381abe168887b852d592aff51b6cbbb34a50bee7391a8c013802d2ae74bc6baf4ee1f11
 DIST forgejo-node-modules-cache-1.20.1.0.tar.gz 152983555 BLAKE2B e626ab10122c9105ae7861fbe869fcbd3203ef81152b4ac7a4521106303d7a80929c2fac1cde0eabe587f527aaa55b089973ec5019234127fb5024265f8a9928 SHA512 41eb9e09165e65cbb8a04e8b45e34a92b821343539549295dda6ae78995e89fb6341182555c2815754b8e6a8476c037a1ee89625a934e9f711109162d42c4b16

diff --git a/www-apps/forgejo/forgejo-1.20.2.0.ebuild b/www-apps/forgejo/forgejo-1.20.2.0.ebuild
new file mode 100644
index 0000000000..f647011285
--- /dev/null
+++ b/www-apps/forgejo/forgejo-1.20.2.0.ebuild
@@ -0,0 +1,124 @@
+# Copyright 2016-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps go-module tmpfiles systemd flag-o-matic
+
+MY_PV="$(ver_cut 1-3)-$(ver_cut 4)"
+DESCRIPTION="A self-hosted lightweight software forge"
+HOMEPAGE="https://forgejo.org/ https://codeberg.org/forgejo/forgejo"
+
+SRC_URI="https://codeberg.org/forgejo/forgejo/releases/download/v${MY_PV}/forgejo-src-${MY_PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+S="${WORKDIR}/${PN}-src-${MY_PV}"
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="+acct pam sqlite pie"
+
+DEPEND="
+	acct? (
+		acct-group/git
+		acct-user/git[gitea] )
+	pam? ( sys-libs/pam )"
+RDEPEND="${DEPEND}
+	dev-vcs/git
+	!www-apps/gitea" # until acct-user/git[forgejo]
+
+DOCS=(
+	custom/conf/app.example.ini CONTRIBUTING.md README.md
+)
+FILECAPS=(
+	-m 711 cap_net_bind_service+ep usr/bin/forgejo
+)
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+
+	local sedcmds=(
+		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"
+		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/forgejo#"
+		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#"
+		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
+		-e "s#^MODE = console#MODE = file#"
+		-e "s#^LEVEL = Trace#LEVEL = Info#"
+		-e "s#^LOG_SQL = true#LOG_SQL = false#"
+		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
+	)
+
+	sed -i "${sedcmds[@]}" custom/conf/app.example.ini || die
+	if use sqlite ; then
+		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.example.ini || die
+	fi
+}
+
+src_configure() {
+	# bug 832756 - PIE build issues
+	filter-flags -fPIE
+	filter-ldflags -fPIE -pie
+}
+
+src_compile() {
+	local forgejo_tags=(
+		bindata
+		$(usev pam)
+		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
+	)
+	local forgejo_settings=(
+		"-X code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/forgejo/app.ini"
+		"-X code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
+		"-X code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
+	)
+	local makeenv=(
+		DRONE_TAG="${PV}"
+		LDFLAGS="-extldflags \"${LDFLAGS}\" ${forgejo_settings[*]}"
+		TAGS="${forgejo_tags[*]}"
+	)
+
+	GOFLAGS=""
+	if use pie ; then
+		GOFLAGS+="-buildmode=pie"
+	fi
+
+	# need to set -j1 or build fails due to a race condition between MAKE jobs.
+	# this does not actually impact build parallelism, because the go compiler
+	# will still build everything in parallel when it's invoked.
+	env "${makeenv[@]}" emake -j1 EXTRA_GOFLAGS="${GOFLAGS}" backend
+}
+
+src_install() {
+	cp gitea forgejo
+	dobin forgejo
+
+	einstalldocs
+
+	newconfd "${FILESDIR}/forgejo.confd-r1" forgejo
+	newinitd "${FILESDIR}/forgejo.initd-r3" forgejo
+	newtmpfiles - forgejo.conf <<-EOF
+		d /run/forgejo 0755 git git
+	EOF
+	systemd_newunit "${FILESDIR}"/forgejo.service-r3 forgejo.service
+
+	insinto /etc/forgejo
+	newins custom/conf/app.example.ini app.ini
+	if use acct; then
+		fowners root:git /etc/forgejo/{,app.ini}
+		fperms g+w,o-rwx /etc/forgejo/{,app.ini}
+
+		diropts -m0750 -o git -g git
+		keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+		keepdir /var/log/forgejo
+	fi
+}
+
+pkg_postinst() {
+	fcaps_pkg_postinst
+	tmpfiles_process forgejo.conf
+
+	ewarn "${PN} ${MY_PV} will continue to use /var/lib/gitea as the default home,"
+	ewarn "as acct-user/git[gitea] depends on it, and acct-user[forgejo] does not"
+	ewarn "exist yet."
+}


             reply	other threads:[~2023-07-31 14:53 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-31 14:53 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07  9:22 [gentoo-commits] repo/proj/guru:master commit in: www-apps/forgejo/ David Roman
2024-07-05 10:51 David Roman
2024-06-01 22:03 Julien Roy
2024-06-01 22:03 Julien Roy
2024-04-22  6:16 Viorel Munteanu
2024-04-22  6:16 Viorel Munteanu
2024-03-31 23:54 Julien Roy
2024-02-23 13:10 David Roman
2024-02-23 13:10 David Roman
2023-12-01 15:26 Viorel Munteanu
2023-10-11  7:51 Rui Huang
2023-09-24  0:33 David Roman
2023-09-11  8:12 Florian Schmaus
2023-09-05 22:35 Haelwenn Monnier
2023-07-26  7:43 Viorel Munteanu
2023-07-01 18:15 Haelwenn Monnier
2023-07-01 18:15 Haelwenn Monnier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690778872.c782e387d05f2da073c38f0416a57b7043ac0568.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox